suche dringend Ubuntu 7.04

Triple-Y

Freizeitschrauber(in)
hi,
ich möchte unbedingt das Linux MCE testen welches einfach fantastisch sein soll.
für die Installation benötige ich allerdings das Ubuntu 7.04.
im web finde ich nur die aktuellen Versionen 7.10.

kann mir einer Helfen?? einen Link ect geben???
 
Oben Unten